# Uses of Class
io.dapr.client.domain.State

Packages that use State
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of State in io.dapr.client

Methods in io.dapr.client that return types with arguments of type State
Modifier and Type
Method
Description
`<T> reactor.core.publisher.Mono<List<State<T>>>`
DaprClient.`getBulkState(GetBulkStateRequest request, TypeRef<T> type)`
Retrieve bulk States based on their keys.
`<T> reactor.core.publisher.Mono<List<State<T>>>`
DaprClient.`getBulkState(String storeName, List<String> keys, TypeRef<T> type)`
Retrieve bulk States based on their keys.
`<T> reactor.core.publisher.Mono<List<State<T>>>`
DaprClient.`getBulkState(String storeName, List<String> keys, Class<T> clazz)`
Retrieve bulk States based on their keys.
`<T> reactor.core.publisher.Mono<List<State<T>>>`
DaprClientImpl.`getBulkState(GetBulkStateRequest request, TypeRef<T> type)`
Retrieve bulk States based on their keys.
`<T> reactor.core.publisher.Mono<State<T>>`
DaprClient.`getState(GetStateRequest request, TypeRef<T> type)`
Retrieve a State based on their key.
`<T> reactor.core.publisher.Mono<State<T>>`
DaprClient.`getState(String storeName, State<T> state, TypeRef<T> type)`
Retrieve a State based on their key.
`<T> reactor.core.publisher.Mono<State<T>>`
DaprClient.`getState(String storeName, State<T> state, Class<T> clazz)`
Retrieve a State based on their key.
`<T> reactor.core.publisher.Mono<State<T>>`
DaprClient.`getState(String storeName, String key, StateOptions options, TypeRef<T> type)`
Retrieve a State based on their key.
`<T> reactor.core.publisher.Mono<State<T>>`
DaprClient.`getState(String storeName, String key, StateOptions options, Class<T> clazz)`
Retrieve a State based on their key.
`<T> reactor.core.publisher.Mono<State<T>>`
DaprClient.`getState(String storeName, String key, TypeRef<T> type)`
Retrieve a State based on their key.
`<T> reactor.core.publisher.Mono<State<T>>`
DaprClient.`getState(String storeName, String key, Class<T> clazz)`
Retrieve a State based on their key.
`<T> reactor.core.publisher.Mono<State<T>>`
DaprClientImpl.`getState(GetStateRequest request, TypeRef<T> type)`
Retrieve a State based on their key.
Methods in io.dapr.client with parameters of type State
Modifier and Type
Method
Description
`<T> reactor.core.publisher.Mono<State<T>>`
DaprClient.`getState(String storeName, State<T> state, TypeRef<T> type)`
Retrieve a State based on their key.
`<T> reactor.core.publisher.Mono<State<T>>`
DaprClient.`getState(String storeName, State<T> state, Class<T> clazz)`
Retrieve a State based on their key.
Method parameters in io.dapr.client with type arguments of type State
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
DaprClient.`saveBulkState(String storeName, List<State<?>> states)`
Save/Update a list of states.

## Uses of State in io.dapr.client.domain

Methods in io.dapr.client.domain that return State
Modifier and Type
Method
Description
`State<T>`
TransactionalStateOperation.`getRequest()`
Methods in io.dapr.client.domain that return types with arguments of type State
Modifier and Type
Method
Description
`List<State<?>>`
SaveStateRequest.`getStates()`
Methods in io.dapr.client.domain with parameters of type State
Modifier and Type
Method
Description
`SaveStateRequest`
SaveStateRequest.`setStates(State<?>... states)`
Method parameters in io.dapr.client.domain with type arguments of type State
Modifier and Type
Method
Description
`SaveStateRequest`
SaveStateRequest.`setStates(List<State<?>> states)`
Constructors in io.dapr.client.domain with parameters of type State
Modifier
Constructor
Description
``
`TransactionalStateOperation(TransactionalStateOperation.OperationType operationType, State<T> state)`
Construct an immutable transactional state operation object.